CVE-2006-0823
CVSS7.5
发布时间 :2006-02-21 18:02:00
修订时间 :2011-03-07 21:30:52
NMCO    

[原文]Multiple SQL injection vulnerabilities in Geeklog 1.4.0 before 1.4.0sr1 and 1.3.11 before 1.3.11sr4 allow remote attackers to inject arbitrary SQL commands via the (1) userid variable to users.php or (2) sessid variable to lib-sessions.php.


[CNNVD]Geeklog 多个SQL注入漏洞(CNNVD-200602-334)

        Geeklog 中存在多个SQL注入漏洞。远程攻击者可以借助(1)指向users.php的userid变量或(2)指向lib-sessions.php的sessid变量注入任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:geeklog:geeklog:1.4.0Geeklog Geeklog 1.4.0
cpe:/a:geeklog:geeklog:1.3.11_sr2
cpe:/a:geeklog:geeklog:1.3.11Geeklog Geeklog 1.3.11
cpe:/a:geeklog:geeklog:1.3.11_sr1
cpe:/a:geeklog:geeklog:1.3.11_sr3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0823
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0823
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200602-334
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/18920
(VENDOR_ADVISORY)  SECUNIA  18920
http://www.vupen.com/english/advisories/2006/0661
(UNKNOWN)  VUPEN  ADV-2006-0661
http://www.gulftech.org/?node=research&article_id=00102-02192006
(UNKNOWN)  MISC  http://www.gulftech.org/?node=research&article_id=00102-02192006
http://www.geeklog.net/article.php/geeklog-1.4.0sr1
(UNKNOWN)  CONFIRM  http://www.geeklog.net/article.php/geeklog-1.4.0sr1
http://xforce.iss.net/xforce/xfdb/24775
(UNKNOWN)  XF  geeklog-users-sessions-sql-injection(24775)
http://www.securityfocus.com/bid/16755
(UNKNOWN)  BID  16755
http://www.securityfocus.com/archive/1/archive/1/425506/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060219 Geeklog Remote Code Execution
http://www.osvdb.org/23348
(UNKNOWN)  OSVDB  23348

- 漏洞信息

Geeklog 多个SQL注入漏洞
高危 SQL注入
2006-02-21 00:00:00 2006-02-22 00:00:00
远程  
        Geeklog 中存在多个SQL注入漏洞。远程攻击者可以借助(1)指向users.php的userid变量或(2)指向lib-sessions.php的sessid变量注入任意SQL命令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Media Gallery Media Gallery 1.2.3
        Media Gallery Media Gallery 1.2.4
        http://www.mediagallery.org/filemgmt/visit.php?lid=30
        Geeklog Geeklog 1.3
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.10
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.11 sr3
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.11
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.11 rc1
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.5
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.5 sr2
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.5 sr1
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.7 sr2
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.7
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.7 sr1
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.8 rc2
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.8 -1
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.8
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.8 rc1
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.8 -1sr2
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.8 -1sr1
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.9 sr2
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.9 sr1
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.9 sr3
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672
        Geeklog Geeklog 1.3.9
        Geeklog Geeklog 1.4.0sr1
        http://www.geeklog.net/filemgmt/visit.php?lid=672

- 漏洞信息

23348
Geeklog lib-sessions.php sessid Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Vendor Verified

- 漏洞描述

Geeklog contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the lib-sessions.php script not properly sanitizing user-supplied input to the sessid variable. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2006-02-19 Unknow
Unknow Unknow

- 解决方案

Upgrade Geeklog to version 1.4.0sr1 or 1.3.11sr4 or higher, as it has been reported to fix this vulnerability. Media Gallery users can upgrade to 1.2.4. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站